Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/virtualbricks: new aport (Qemu / KVM GTK frontend)

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Wed, 26 Nov 2014 23:04:32 +0000

A GTK frontend written in Python for Qemu / KVM. It's a nice
small alternative to Virt-Manager.
---
 testing/virtualbricks/APKBUILD | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)
 create mode 100644 testing/virtualbricks/APKBUILD
diff --git a/testing/virtualbricks/APKBUILD b/testing/virtualbricks/APKBUILD
new file mode 100644
index 0000000..38cc7e2
--- /dev/null
+++ b/testing/virtualbricks/APKBUILD
_at_@ -0,0 +1,39 @@
+# Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=virtualbricks
+pkgver=1.0.1
+pkgrel=0
+pkgdesc="A GTK frontend for VDE and QEMU/KVM"
+url="http://virtualbricks.eu | https://launchpad.net/virtualbrick"
+arch="noarch"
+license="GPL v2"
+depends="python py-zope-interface py-twisted"
+depends_dev=""
+makedepends="python-dev gettext"
+subpackages="$pkgname-lang"
+source="https://launchpad.net/virtualbrick/1.x/$pkgver/+download/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="17ae7cddd0572f3f547ff348eadcf690  virtualbricks-1.0.1.tar.gz"
+sha256sums="afed1e4b7932297e5aece861d24516a62a98e08212f510e13c4a0a4132fdd0bc  virtualbricks-1.0.1.tar.gz"
+sha512sums="90a4cd46058c3139a7bc1d8e15f19a20f020371acb55587df5f315e6f691b3358ea73b37b317a9c772c7cbc4cb968ae5a27ebfb59472085bcb5ad27c4db3c464  virtualbricks-1.0.1.tar.gz"
-- 
2.1.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Wed Nov 26 2014 - 23:04:32 GMT